#
# spec file for package cdctl
#
# Copyright (c) 2019 Packman Team <packman@links2linux.de>
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.links2linux.org/
#


Name:           cdctl
Version:        0.16
Release:        150500.1.pm.2
Summary:        Controls your cdrom drive
License:        SUSE-Permissive
Group:          System/Base
URL:            http://cdctl.sourceforge.net/
Source0:        https://sourceforge.net/projects/cdctl/files/%{name}-%{version}.tar.gz
Patch0:         %{name}-0.16-Makefile.in.patch
BuildRequires:  autoconf
BuildRequires:  automake

%description
Cdctl controls your cdrom drive under Linux.  It is an user-level console
application which gives the user access to the ioctl() interfaces of
the Uniform CDROM Driver of the Linux kernel.  It can play audio CDs,
control the drive's tray motor, change the drive's volume levels, read
the current type of disc in the drive, and much more.

%prep

%setup -q -n %{name}
%patch0 -p1

%build
autoreconf -fiv
%configure
make %{?_smp_mflags}

%install
%make_install

%find_lang %{name}

%files -f %{name}.lang
%license LICENSE
%doc README NEWS NUTSANDBOLTS PUBLICKEY
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1%{?ext_man}

%changelog
* Sun Nov 17 2019 Luigi Baldoni <aloisio@gmx.com>
- Update to version 0.16
  * Matthew Clarke <Matthew_Clarke@mindlink.bc.ca> fixed a
    problem with the memory allocation of a variable in the
    volume setting code.
  * Better packaging, man page updates.
  * "make rpms" works now, if you have rpm configured correctly.
  * Removed CDC_IOCTLS, which doesn't exist in the kernel headers
    anymore.
- Refreshed cdctl-0.15-Makefile.in.patch as
  cdctl-0.16-Makefile.in.patch
- Dropped cdctl-0.15-cdc_ioctls.patch (no longer useful)
- Spec cleanup
* Sat Jun 13 2009 AxelKoellhofer@web.de
- spec cleanup
- fixed use of RPM_OPT_FLAGS
* Wed Oct  1 2008 AxelKoellhofer@web.de
- Added patches 0 and 1, rebuild for openSUSE 10.x/11.x
* Sun Mar 26 2000 thalakan@technologist.com
- First spec file for cdctl, version 0.15
